# Class ConfirmDirective<T>

#### Type Parameters

- T = any

#### Implements

- OnDestroy

- Defined in lib/confirm/confirm.directive.ts:28

#####
Index

### Constructors

constructor

### Properties

_eventValue?
confirmed
elementRef
isOverlyOpen
overlay
overlayRef?
positionStrategy?
subscription
unconfirmed

### Accessors

eventValue

### Methods

ngOnDestroy
onClick
onConfirmed
onUnconfirmed
openConfirmOverly

## Constructors

### constructor

- new ConfirmDirective<T>(overlay, elementRef): ConfirmDirective<T>

- #### Type Parameters

  - T = any

  #### Parameters

  - overlay: Overlay
  - elementRef: ElementRef<any>

  #### Returns ConfirmDirective<T>

  - Defined in lib/confirm/confirm.directive.ts:54

## Properties

### `Private` `Optional` _eventValue

_eventValue?: T

- Defined in lib/confirm/confirm.directive.ts:48

### confirmed

confirmed: EventEmitter<undefined | T> = ...

- Defined in lib/confirm/confirm.directive.ts:39

### `Protected` `Readonly` elementRef

elementRef: ElementRef<any>

- Defined in lib/confirm/confirm.directive.ts:58

### `Protected` isOverlyOpen

isOverlyOpen: boolean = false

- Defined in lib/confirm/confirm.directive.ts:52

### `Protected` `Readonly` overlay

overlay: Overlay

- Defined in lib/confirm/confirm.directive.ts:56

### `Private` `Optional` overlayRef

overlayRef?: OverlayRef

- Defined in lib/confirm/confirm.directive.ts:46

### `Protected` `Optional` positionStrategy

positionStrategy?: PositionStrategy

- Defined in lib/confirm/confirm.directive.ts:50

### `Private` subscription

subscription: null | Subscription = null

- Defined in lib/confirm/confirm.directive.ts:44

### unconfirmed

unconfirmed: EventEmitter<undefined | T> = ...

- Defined in lib/confirm/confirm.directive.ts:42

## Accessors

### eventValue

- set eventValue(value): void

- #### Parameters

  - value: "" | T

  #### Returns void

  - Defined in lib/confirm/confirm.directive.ts:32

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in lib/confirm/confirm.directive.ts:79

### onClick

- onClick($event?): void

- #### Parameters

  - `Optional` $event: Event

  #### Returns void

  - Defined in lib/confirm/confirm.directive.ts:75

### `Protected` onConfirmed

- onConfirmed(eventValue?): void

- #### Parameters

  - `Optional` eventValue: T

  #### Returns void

  - Defined in lib/confirm/confirm.directive.ts:138

### `Protected` onUnconfirmed

- onUnconfirmed(eventValue?): void

- #### Parameters

  - `Optional` eventValue: T

  #### Returns void

  - Defined in lib/confirm/confirm.directive.ts:142

### `Protected` openConfirmOverly

- openConfirmOverly(): void

- #### Returns void

  - Defined in lib/confirm/confirm.directive.ts:84